Subject: bug#18629: 25.0.50; Yanking text on a MS-Windows console

From: Stefan Monnier <[email-masked]>
Date: Sun, 05 Oct 2014 21:21:02 -0400

> gui-selection-value seems to be undefined at that point, therefore I
> cannot "trace-function" on it.

Looks like you have an "old" version, then.  Try updating from trunk.

> The expected behavior for that, I think, is the one I observe right
> now: C-y brings to the buffer the current contents of the system
> clipboard.

I think if you upgrade from trunk, your original problem might
disappear, but the above desired behavior will also disappear.

If so, please try to run the code below and tell me if it restores the
expected behavior:

(gui-method-define gui-selection-value t #'w32-get-selection-value)
(gui-method-define gui-select-text t
                   (lambda (text)
                     (if gui-select-enable-clipboard
                         (w32-set-clipboard-data text))))

-- Stefan